src: |
  SELECT p_ecriture_fournisseur.compte_id,
      t_comptes_c.numero AS compte_numero,
      t_comptes_c.texte AS compte_texte,
      t_comptes_c.section1_id AS compte_section1_id,
      t_comptes_c.section1_code AS compte_section1_code,
      t_comptes_c.section1_texte AS compte_section1_texte,
      t_comptes_c.section2_id AS compte_section2_id,
      t_comptes_c.section2_code AS compte_section2_code,
      t_comptes_c.section2_texte AS compte_section2_texte,
      t_comptes_c.section3_id AS compte_section3_id,
      t_comptes_c.section3_code AS compte_section3_code,
      t_comptes_c.section3_texte AS compte_section3_texte,
      t_comptes_c.section9_id AS compte_section9_id,
      t_comptes_c.section9_code AS compte_section9_code,
      t_comptes_c.section9_texte AS compte_section9_texte,
      t_comptes_c.classe_1_id,
      t_comptes_c.classe_1_code,
      t_comptes_c.classe_1_texte,
      t_comptes_c.classe_2_id,
      t_comptes_c.classe_2_code,
      t_comptes_c.classe_2_texte,
      t_comptes_c.classe_3_id,
      t_comptes_c.classe_3_code,
      t_comptes_c.classe_3_texte,
      t_comptes_c.classe_4_id,
      t_comptes_c.classe_4_code,
      t_comptes_c.classe_4_texte,
      t_comptes_c.classe_5_id,
      t_comptes_c.classe_5_code,
      t_comptes_c.classe_5_texte,
      t_comptes_c.classe_6_id,
      t_comptes_c.classe_6_code,
      t_comptes_c.classe_6_texte,
      t_comptes_c.arbre_classe_1_id,
      t_comptes_c.arbre_classe_1_code,
      t_comptes_c.arbre_classe_1_texte,
      t_comptes_c.arbre_classe_2_id,
      t_comptes_c.arbre_classe_2_code,
      t_comptes_c.arbre_classe_2_texte,
      t_comptes_c.arbre_classe_3_id,
      t_comptes_c.arbre_classe_3_code,
      t_comptes_c.arbre_classe_3_texte,
      t_comptes_c.arbre_classe_4_id,
      t_comptes_c.arbre_classe_4_code,
      t_comptes_c.arbre_classe_4_texte,
      t_comptes_c.arbre_classe_5_id,
      t_comptes_c.arbre_classe_5_code,
      t_comptes_c.arbre_classe_5_texte,
      t_comptes_c.arbre_classe_6_id,
      t_comptes_c.arbre_classe_6_code,
      t_comptes_c.arbre_classe_6_texte,
      t_comptes_c.arbre_classe_7_id,
      t_comptes_c.arbre_classe_7_code,
      t_comptes_c.arbre_classe_7_texte,
      t_comptes_c.banque AS compte_banque,
      p_ecriture_fournisseur.mois_comptable,
      p_ecriture_fournisseur.journal_id,
      t_journaux.code AS journal_code,
      t_journaux.texte AS journal_texte,
      t_journaux.a_nouveaux AS journal_a_nouveaux,
      t_journaux.section1_id AS journal_section1_id,
      t_journaux.section1_code AS journal_section1_code,
      t_journaux.section1_texte AS journal_section1_texte,
      t_journaux.section2_id AS journal_section2_id,
      t_journaux.section2_code AS journal_section2_code,
      t_journaux.section2_texte AS journal_section2_texte,
      t_journaux.section3_id AS journal_section3_id,
      t_journaux.section3_code AS journal_section3_code,
      t_journaux.section3_texte AS journal_section3_texte,
      p_ecriture_fournisseur.section_analytique_id,
      t_sections_analytiques.code AS section_analytique_code,
      t_sections_analytiques.texte AS section_analytique_texte,
      t_sections_analytiques.section1_id AS section_analytique_section1_id,
      t_sections_analytiques.section1_code AS section_analytique_section1_code,
      t_sections_analytiques.section1_texte AS section_analytique_section1_texte,
      t_sections_analytiques.section2_id AS section_analytique_section2_id,
      t_sections_analytiques.section2_code AS section_analytique_section2_code,
      t_sections_analytiques.section2_texte AS section_analytique_section2_texte,
      t_sections_analytiques.section3_id AS section_analytique_section3_id,
      t_sections_analytiques.section3_code AS section_analytique_section3_code,
      t_sections_analytiques.section3_texte AS section_analytique_section3_texte,
      t_sections_analytiques.section4_id AS section_analytique_section4_id,
      t_sections_analytiques.section4_code AS section_analytique_section4_code,
      t_sections_analytiques.section4_texte AS section_analytique_section4_texte,
      t_sections_analytiques.section5_id AS section_analytique_section5_id,
      t_sections_analytiques.section5_code AS section_analytique_section5_code,
      t_sections_analytiques.section5_texte AS section_analytique_section5_texte,
      t_sections_analytiques.section6_id AS section_analytique_section6_id,
      t_sections_analytiques.section6_code AS section_analytique_section6_code,
      t_sections_analytiques.section6_texte AS section_analytique_section6_texte,
      t_sections_analytiques.section7_id AS section_analytique_section7_id,
      t_sections_analytiques.section7_code AS section_analytique_section7_code,
      t_sections_analytiques.section7_texte AS section_analytique_section7_texte,
      t_sections_analytiques.section8_id AS section_analytique_section8_id,
      t_sections_analytiques.section8_code AS section_analytique_section8_code,
      t_sections_analytiques.section8_texte AS section_analytique_section8_texte,
      t_sections_analytiques.section9_id AS section_analytique_section9_id,
      t_sections_analytiques.section9_code AS section_analytique_section9_code,
      t_sections_analytiques.section9_texte AS section_analytique_section9_texte,
      p_ecriture_fournisseur.clinique_honoraire,
      p_ecriture_fournisseur.exercice_comptable,
      p_ecriture_fournisseur.site_id,
      t_sites.code AS site_code,
      t_sites.texte AS site_texte,
      t_sites.section1_id AS site_section1_id,
      t_sites.section1_code AS site_section1_code,
      t_sites.section1_texte AS site_section1_texte,
      t_sites.section2_id AS site_section2_id,
      t_sites.section2_code AS site_section2_code,
      t_sites.section2_texte AS site_section2_texte,
      t_sites.section3_id AS site_section3_id,
      t_sites.section3_code AS site_section3_code,
      t_sites.section3_texte AS site_section3_texte,
      p_ecriture_fournisseur.partenaire_id,
      t_partenaires.code AS partenaire_code,
      t_partenaires.texte AS partenaire_texte,
      t_partenaires.section1_id AS partenaire_section1_id,
      t_partenaires.section1_code AS partenaire_section1_code,
      t_partenaires.section1_texte AS partenaire_section1_texte,
      t_partenaires.section2_id AS partenaire_section2_id,
      t_partenaires.section2_code AS partenaire_section2_code,
      t_partenaires.section2_texte AS partenaire_section2_texte,
      t_partenaires.section3_id AS partenaire_section3_id,
      t_partenaires.section3_code AS partenaire_section3_code,
      t_partenaires.section3_texte AS partenaire_section3_texte,
      t_comptes_c.type_compta_id,
      t_comptes_c.type_compta_code,
      t_comptes_c.type_compta_texte,
      t_comptes_c_extra.type_compta_id AS type_compta_extra_id,
      t_comptes_c_extra.type_compta_code AS type_compta_extra_code,
      t_comptes_c_extra.type_compta_texte AS type_compta_extra_texte,
      p_ecriture_fournisseur.compte_extra_id,
      t_comptes_c_extra.numero AS compte_extra_numero,
      t_comptes_c_extra.texte AS compte_extra_texte,
      t_comptes_c_extra.section1_id AS compte_extra_section1_id,
      t_comptes_c_extra.section1_code AS compte_extra_section1_code,
      t_comptes_c_extra.section1_texte AS compte_extra_section1_texte,
      t_comptes_c_extra.section2_id AS compte_extra_section2_id,
      t_comptes_c_extra.section2_code AS compte_extra_section2_code,
      t_comptes_c_extra.section2_texte AS compte_extra_section2_texte,
      t_comptes_c_extra.section3_id AS compte_extra_section3_id,
      t_comptes_c_extra.section3_code AS compte_extra_section3_code,
      t_comptes_c_extra.section3_texte AS compte_extra_section3_texte,
      t_comptes_c_extra.section9_id AS compte_extra_section9_id,
      t_comptes_c_extra.section9_code AS compte_extra_section9_code,
      t_comptes_c_extra.section9_texte AS compte_extra_section9_texte,
      p_ecriture_fournisseur.comptabilisee,
      p_ecriture_fournisseur.fin_exercice,
      p_ecriture_fournisseur.ecriture_consolidee,
      p_ecriture_fournisseur.ajustement,
      p_ecriture_fournisseur.inter_site,
      p_ecriture_fournisseur.date_ecriture,
      p_ecriture_fournisseur.identifiant_operation,
      p_ecriture_fournisseur.cle_originale,
      p_ecriture_fournisseur.compte_contrepartie_id,
      p_ecriture_fournisseur.texte,
      p_ecriture_fournisseur.date_facture_fournisseur,
      p_ecriture_fournisseur.piece,
      p_ecriture_fournisseur.dossier,
      p_ecriture_fournisseur.date_echeance,
      p_ecriture_fournisseur.journal_paiement_id,
      t_journaux_paiement.code AS journal_paiement_code,
      t_journaux_paiement.texte AS journal_paiement_texte,
      t_journaux_paiement.a_nouveaux AS journal_paiement_a_nouveaux,
      t_journaux_paiement.section1_id AS journal_paiement_section1_id,
      t_journaux_paiement.section1_code AS journal_paiement_section1_code,
      t_journaux_paiement.section1_texte AS journal_paiement_section1_texte,
      t_journaux_paiement.section2_id AS journal_paiement_section2_id,
      t_journaux_paiement.section2_code AS journal_paiement_section2_code,
      t_journaux_paiement.section2_texte AS journal_paiement_section2_texte,
      t_journaux_paiement.section3_id AS journal_paiement_section3_id,
      t_journaux_paiement.section3_code AS journal_paiement_section3_code,
      t_journaux_paiement.section3_texte AS journal_paiement_section3_texte,
      t_mode_paiement.code AS mode_paiement_code,
      t_mode_paiement.texte AS mode_paiement_texte,
      t_mode_paiement.section1_id AS mode_paiement_section1_id,
      t_mode_paiement.section1_code AS mode_paiement_section1_code,
      t_mode_paiement.section1_texte AS mode_paiement_section1_texte,
      t_mode_paiement.section2_id AS mode_paiement_section2_id,
      t_mode_paiement.section2_code AS mode_paiement_section2_code,
      t_mode_paiement.section2_texte AS mode_paiement_section2_texte,
      t_mode_paiement.section3_id AS mode_paiement_section3_id,
      t_mode_paiement.section3_code AS mode_paiement_section3_code,
      t_mode_paiement.section3_texte AS mode_paiement_section3_texte,
      p_ecriture_fournisseur.mode_paiement_id,
      p_ecriture_fournisseur.numero_cheque,
      p_ecriture_fournisseur.montant_credit,
      p_ecriture_fournisseur.montant_debit,
      p_ecriture_fournisseur.montant_debit - p_ecriture_fournisseur.montant_credit AS montant_solde_debit,
      p_ecriture_fournisseur.montant_credit - p_ecriture_fournisseur.montant_debit AS montant_solde_credit,
      1 AS nombre_ecritures,
          CASE
              WHEN p_ecriture_fournisseur.montant_debit <> 0::numeric THEN floor(abs(p_ecriture_fournisseur.montant_debit))
              ELSE floor(abs(p_ecriture_fournisseur.montant_credit))
          END AS montant_absolu_ecriture,
      p_ecriture_fournisseur.facture_soldee,
      p_ecriture_fournisseur.ecriture_exclue,
      0 AS no_oid,
      ''::text AS no_code,
      ''::text AS no_texte,
      t_comptes_c.section_id AS compte_section_id,
      t_comptes_c.section_code AS compte_section_code,
      t_comptes_c.section_texte AS compte_section_texte,
      t_journaux.section_id AS journal_section_id,
      t_journaux.section_code AS journal_section_code,
      t_journaux.section_texte AS journal_section_texte,
      t_sections_analytiques.section_id AS section_analytique_section_id,
      t_sections_analytiques.section_code AS section_analytique_section_code,
      t_sections_analytiques.section_texte AS section_analytique_section_texte,
      t_sites.section_id AS site_section_id,
      t_sites.section_code AS site_section_code,
      t_sites.section_texte AS site_section_texte,
      t_partenaires.section_id AS partenaire_section_id,
      t_partenaires.section_code AS partenaire_section_code,
      t_partenaires.section_texte AS partenaire_section_texte,
      t_comptes_c_extra.section_id AS compte_extra_section_id,
      t_comptes_c_extra.section_code AS compte_extra_section_code,
      t_comptes_c_extra.section_texte AS compte_extra_section_texte,
      t_journaux_paiement.section_id AS journal_paiement_section_id,
      t_journaux_paiement.section_code AS journal_paiement_section_code,
      t_journaux_paiement.section_texte AS journal_paiement_section_texte,
      t_mode_paiement.section_id AS mode_paiement_section_id,
      t_mode_paiement.section_code AS mode_paiement_section_code,
      t_mode_paiement.section_texte AS mode_paiement_section_texte
     FROM compta.p_ecriture_fournisseur
       JOIN compta.t_journaux ON p_ecriture_fournisseur.journal_id = t_journaux.oid
       JOIN compta.t_journaux t_journaux_paiement ON p_ecriture_fournisseur.journal_paiement_id = t_journaux_paiement.oid
       JOIN compta.t_mode_paiement ON p_ecriture_fournisseur.mode_paiement_id = t_mode_paiement.oid
       JOIN compta.t_comptes_c ON p_ecriture_fournisseur.compte_id = t_comptes_c.oid
       JOIN compta.t_comptes_c t_comptes_c_extra ON p_ecriture_fournisseur.compte_extra_id = t_comptes_c_extra.oid
       JOIN compta.t_types_compta ON p_ecriture_fournisseur.type_compta_id = t_types_compta.oid
       JOIN compta.t_sites ON p_ecriture_fournisseur.site_id = t_sites.oid
       JOIN compta.t_partenaires ON p_ecriture_fournisseur.partenaire_id = t_partenaires.oid
       JOIN compta.t_sections_analytiques ON p_ecriture_fournisseur.section_analytique_id = t_sections_analytiques.oid;